#!/bin/bash

# Distribuisce il programma in test
# versione 0.1 - 2012/11/11

#carico la struttura del progetto
source projectData.sh

if [ -n "$test" ]; then
	echo -- test --
	if [ -e "$test" ]; then
		rm -rf
	else
		mkdir "$test"
	fi
	
	# copio le librerie solo se ce ne sono
	if [ "`ls -A $lib`" ]; then
		echo "copio librerie da '$lib' a '$test/$lib'"
		mkdir -p "$test/$lib/"
		cp "$lib"/*.jar "$test/$lib"
	fi
	echo "distribuisco l'applicazione in test"
	cp "$build/$jarFile" "$test"
fi

# esito
if [ $? -eq 0 ]; then
	echo "ok"
else
	echo "errore nella creazione del file .jar"
	read -p "Premi [invio]..."
	exit 1
fi

read -p "Premi [invio]..."
