#!/bin/bash

# Crea il pacchetto .tar.gz con i sorgenti per la distribuzione
# versione 0.1 2012/10/09

echo -- deploy src --
#carico la struttura del progetto
source projectData.sh

if [ ! -n "$version" ]; then
	deployFile="$name"_src.tar.gz
else
	deployFile="$name-$version"_src.tar.gz
fi

libToInclude=""
if [ "`ls -A $lib`" ]; then
		libToInclude="$libToInclude $lib"
fi
if [ "`ls -A $libCompile`" ]; then
		libToInclude="$libToInclude $libCompile"
fi
tar czf "$deployFile" $libToInclude "$conf" "$src" fileList *.sh

# esito
if [ $? -eq 0 ]; then
	echo "ok"
else
	echo "errore nella creazione del file"
	read -p "Premi [invio]..."
	exit 1
fi

read -p "Premi [invio]..."

