#!/bin/bash

# Genera la documentazione javadoc
# versione 0.2 - 2012/11/11

echo -- doc --
#carico la struttura del progetto
source projectData.sh

# se esiste, svuoto la cartella
if [ -e "$javadoc" ]; then
	echo "svuoto la cartella '$javadoc'"
	rm -rf "$javadoc"/*
fi

echo "creo la documentazione"
javadoc -d "$javadoc" -classpath "$lib"/*.jar -linkoffline http://docs.oracle.com/javase/6/docs/api/ javase -version -author -private -bottom "$docFooter" @fileList

# esito
if [ $? -eq 0 ]; then
	echo "ok"
else
	read -p "Premi [invio]..."
	exit 1
fi

read -p "Premi [invio]..."
